#
# spec file for package totem-pl-parser
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           totem-pl-parser
Version:        3.10.6
Release:        7.3
Summary:        A simple GObject-based library to parse playlist formats
License:        LGPL-2.0+
Group:          Productivity/Multimedia/Video/Players
Url:            http://www.gnome.org/projects/totem/
Source0:        http://download.gnome.org/sources/totem-pl-parser/3.10/%{name}-%{version}.tar.xz
BuildRequires:  intltool
BuildRequires:  libgcrypt-devel
BuildRequires:  translation-update-upstream
BuildRequires:  pkgconfig(glib-2.0) >= 2.31.0
BuildRequires:  pkgconfig(gmime-2.6)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(libarchive) >= 3.0
BuildRequires:  pkgconfig(libquvi-0.9) >= 0.9.1
BuildRequires:  pkgconfig(libsoup-2.4) >= 2.43.0
BuildRequires:  pkgconfig(libxml-2.0)
Requires:       libquvi-scripts
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Recommends:     %{name}-lang

%description
totem-pl-parser is a simple GObject-based library to parse a host of
playlist formats, to save them too.

%package -n libtotem-plparser18
Summary:        A simple GObject-based library to parse playlist formats
Group:          System/Libraries
# Main package contains libexec files needed for full functionality
Requires:       %{name} >= %{version}

%description -n libtotem-plparser18
totem-pl-parser is a simple GObject-based library to parse a host of
playlist formats, to save them too.

%package -n typelib-1_0-TotemPlParser-1_0
Summary:        A simple GObject-based library to parse playlist formats -- Introspection bindings
Group:          System/Libraries
# Main package contains libexec files needed for full functionality
Requires:       %{name} >= %{version}

%description -n typelib-1_0-TotemPlParser-1_0
totem-pl-parser is a simple GObject-based library to parse a host of
playlist formats, to save them too.

This package provides the GObject Introspection bindings for the
totem-pl-parser library.

%package -n libtotem-plparser-mini18
Summary:        A simple GObject-based library to parse playlist formats -- Mini version
Group:          System/Libraries
# Main package contains libexec files needed for full functionality
Requires:       %{name} >= %{version}

%description -n libtotem-plparser-mini18
totem-pl-parser is a simple GObject-based library to parse a host of
playlist formats, to save them too.

%package devel
Summary:        A simple GObject-based library to parse playlist formats
Group:          Development/Libraries/GNOME
Requires:       libtotem-plparser-mini18 = %{version}
Requires:       libtotem-plparser18 = %{version}
Requires:       typelib-1_0-TotemPlParser-1_0 = %{version}

%description devel
totem-pl-parser is a simple GObject-based library to parse a host of
playlist formats, to save them too.

%lang_package
%prep
%setup -q
translation-update-upstream

%build
%configure \
        --disable-static \
        --enable-quvi
make %{?jobs:-j%jobs}

%post -n libtotem-plparser18 -p /sbin/ldconfig

%postun -n libtotem-plparser18 -p /sbin/ldconfig

%post -n libtotem-plparser-mini18 -p /sbin/ldconfig

%postun -n libtotem-plparser-mini18 -p /sbin/ldconfig

%install
%makeinstall
find %{buildroot}%{_libdir} -name "*.la" -type f -print -delete
%find_lang %{name}

%clean

%files
%defattr(-,root,root)
%dir %{_libexecdir}/totem-pl-parser/
%{_libexecdir}/totem-pl-parser/99-totem-pl-parser-videosite

%files -n libtotem-plparser18
%defattr(-, root, root)
%{_libdir}/libtotem-plparser.so.*

%files -n typelib-1_0-TotemPlParser-1_0
%defattr(-,root,root)
%{_libdir}/girepository-1.0/TotemPlParser-1.0.typelib

%files -n libtotem-plparser-mini18
%defattr(-, root, root)
%{_libdir}/libtotem-plparser-mini.so.*

%files devel
%defattr(-, root, root)
%{_includedir}/totem-pl-parser/
%{_libdir}/libtotem-plparser.so
%{_libdir}/libtotem-plparser-mini.so
%{_libdir}/pkgconfig/totem-plparser.pc
%{_libdir}/pkgconfig/totem-plparser-mini.pc
%{_datadir}/gir-1.0/*.gir
%doc %{_datadir}/gtk-doc/html/totem-pl-parser/

%files lang -f %{name}.lang

%changelog
* Tue Dec 15 2015 zaitor@opensuse.org
- Update to version 3.10.6:
  + Fix a number of bugs in iTunes link handling and M3U and HLS
    playlist parsing.
  + Make it possible to use an alternate helper script to the
    default quvi based one.
* Thu Apr 30 2015 zaitor@opensuse.org
- Update to version 3.10.5:
  + Don't handle HLS playlists served as m3u8.
  + Updated translations.
* Tue Feb 17 2015 dimstar@opensuse.org
- Update to version 3.10.4:
  + Fix parsing of Windows-style SMB playlists.
  + Add support for EXTVLCOPT:audio-track-id in m3u files.
  + Fix parsing of SMIL playlists.
* Mon Sep 22 2014 dimstar@opensuse.org
- Update to version 3.10.3:
  + Ignore partially downloaded files when recursing.
  + Fix crash when passing a broken URI.
  + Fix potential integer overflow when parsing long durations.
  + Fix potential crash when parsing RTSPtext QuickTime files.
  + Fix parsing of Windows Media files.
  + Updated translations.
* Mon Mar 24 2014 dimstar@opensuse.org
- Update to version 3.10.2:
  + Build fixes.
  + Updated translations.
* Sat Mar  8 2014 zaitor@opensuse.org
- Update to version 3.10.1:
  + Build fixes.
  + Fix possible crash parsing iTunes podcasts.
  + Add support for detecting Blu-ray discs.
  + Add images to RSS feeds.
  + Support non-ASCII characters for video sites metadata.
* Mon Feb 10 2014 dimstar@opensuse.org
- Fix dependencies:
  + No longer provide / obsolete totem-pl-parser by
    libtotem-plparser18: we have a main package with a libexec
    binary.
  + Require totem-pl-parser by libtotem-plparser18 and
    libtotem-plparser-mini18 in order to have the libexec helper
    available to the libraries.
  + Move -lang Recommends to the main package.
  + Add libquvi-scripts Requires: needed as the actual parsers
    (bnc#863126).
- Remove obsolete -lang cleanup from install section.
* Mon Sep 23 2013 dimstar@opensuse.org
- Update to version 3.10.0:
  + Fix introspection for playlist saving.
* Wed Sep 18 2013 zaitor@opensuse.org
- Update to version 3.9.92:
  + Remove totem-disc from the public API.
  + Remove linking to libquvi.
- Rename subpackages libtotem-plparser17 and
  libtotem-plparser-mini17 to libtotem-plparser18 and
  libtotem-plparser-mini18 following upstreams so name bump. Due to
  above namechange also change all corresponding Requires and %%post
  and %%postun calls.
* Mon Aug  5 2013 dimstar@opensuse.org
- Update to version 3.9.5:
  + Port to libquvi 0.9.
  + Update for libarchive 3.0.
  + Update for libsoup 2.44.
  + Fix small memory leaks.
- Replace pkgconfig(libquvi) BuildRequires with
  pkgconfig(libquvi-0.9), following upstreams port.
- Require the main package from the library package: a new binary
  helper was introduced, which is being launcher by the library.
* Tue May 14 2013 dimstar@opensuse.org
- Update to version 3.4.5:
  + Avoid warnings when the volume doesn't have a mount.
  + Fix media detection on loopback devices.
  + Work-around hang-on-close() bugs in gvfs when parsing M3U
    playlists.
  + Save everything we're told to in XSPF playlists.
* Tue Mar 26 2013 dimstar@opensuse.org
- Update to version 3.4.4:
  + Remove dependency on newer versions of glib.
  + Fix overescaping of URIs in XSPF playlists.
  + Add support for the itmss URI scheme.
  + Require gmime 2.6.
  + Fix small memory leak in totem_pl_parser_can_parse_from_data().
  + Add read and write support for Totem XSPF extensions.
  + Send content-type along with playlist-started/-ended signals
    for PLS, M3U and XSPF playlist types.
* Tue Sep 18 2012 dimstar@opensuse.org
- Update to version 3.4.3:
  + Report "unsupported" errors from quvi
  + Fix *.ts files being ignored (most of them aren't Qt Linguist
    files)
  + Don't show zero length coming from quvi
  + Don't add JPEG files as entries in Podcasts
  + Make RSS feeds ending in '/' parseable
  + Make resolution test case pass with newer versions of glib
  + Build fixes.
* Tue May 15 2012 vuntz@opensuse.org
- Update to version 3.4.2:
  + Add totem-pl-parser-mini API documentation
  + Fix possible crash with newer versions of GLib/GThread
* Mon Apr 16 2012 zaitor@opensuse.org
- Update to version 3.4.1:
  + archive:// URI fixes.
  + Use the best available format for video sites.
  + Test case updates.
* Tue Mar 27 2012 vuntz@opensuse.org
- Update to version 3.4.0:
  + Updated translations.
* Sat Mar 17 2012 dimstar@opensuse.org
- Update to version 3.3.92:
  + Fix introspection of TotemPlParserMetadata.
  + Fix compilation with libgcrypt.
  + Handle RSS feeds for video sites.
* Mon Feb 20 2012 vuntz@opensuse.org
- Update to version 3.2.0:
  + Add support for AmazonMP3 download files
  + Update for glib deprecations
  + Update API for newer versions of quvi
  + Avoid quvi poking the remote files by verifying the URLs it
    generates. No good for one-time links.
  + Fixes for warnings in introspection generation
  + Add more test cases
- Drop totem-pl-parser-new-libquvi.patch: fixed upstream.
- Add libgcrypt-devel BuildRequires for AmazonMP3 download files
  support.
* Wed Jan 11 2012 dimstar@opensuse.org
- Replace pkgconfig(gmime-2.4) BuildRequires with
  pkgconfig(gmime-2.6).
* Tue Jan 10 2012 vuntz@opensuse.org
- Add totem-pl-parser-new-libquvi.patch: add compatibility with
  libquvi 0.4.x.
* Thu Dec  8 2011 dimstar@opensuse.org
- Split typelib file into typelib-1_0-TotemPlParser-1_0 subpackage.
- Add typelib-1_0-TotemPlParser-1_0 Requires to devel subpackage.
* Wed Sep 21 2011 vuntz@opensuse.org
- Update to version 2.32.6:
  + Fix parsing of remote RSS feeds
  + Add support for M4U/MXU playlists
- Change Obsoletes for totem-pl-parser from <= to < now that we
  have a new upstream version.
* Tue Sep  6 2011 vuntz@opensuse.org
- Apply shared library packaging policy (bnc#688747):
  + Create libtotem-plparser17 and libtotem-plparser-mini17
    subpackages.
  + Add Provides/Obsoletes for totem-pl-parser to
    libtotem-plparser17.
  + Move Recommends for lang subpackage to libtotem-plparser17, as
    it's fair to assume that users of the mini version care less
    about translations.
  + Changes totem-pl-parser Requires in devel subpackage to
    libtotem-plparser17 and libtotem-plparser-mini17 Requires.
- Remove gtk2-devel and gmime-2_4-devel Requires from devel
  subpackage: they will automatically be added the pkgconfig() way.
* Wed Jun  8 2011 nmarques@opensuse.org
- Move to pkgconfig() style BuildRequires:
  + Old ones: glib2-devel, gmime-2_4-devel,
    gobject-introspection-devel, libquvi-devel, libsoup-devel,
    libxml2-devel.
  + New ones: glib-2.0, gmime-2.4, gobject-introspection-1.0,
    libquvi, libsoup-2.4, libxml-2.0.
- Improved removal of libtool archives on spec.
* Wed Jun  1 2011 vuntz@opensuse.org
- Add libquvi-devel BuildRequires to enable Quvi video link
  parsing. Fix bnc#676294.
- Pass --enable-quvi to make sure quvi support is built-in; it will
  make the build fail if we lose it for some reason, which is good
  to not lose the feature silently.
* Wed May 18 2011 dimstar@opensuse.org
- Update to version 2.32.5:
  + Fix parsing of iTunes podcasts
  + Use libarchive to detect media discs in ISO files, instead of
    gvfs, which makes it more reliable
  + Add support for quvi properties (duration and thumbnail URL).
- Add pkgconfig(libarchive) BuildRequires.
* Mon Mar 21 2011 fcrozat@novell.com
- Update to version 2.32.4:
  + Fix --enable-quvi option
  + Fix getting past the last line of PLS files
  + Add "content-type" property when available
* Sun Feb 27 2011 aj@suse.de
- Change lang package Requires to Recommends since it is not
  mandatory at runtime.
* Thu Feb 24 2011 fcrozat@novell.com
- Update to version 2.32.3:
  + quvi related build fixes
- Changes from version 2.32.2:
  + Parse links to video websites using libquvi
  + Fix parsing data from broken HTTP servers
  + Fix warning when opening a directory fails
  + Fix parsing some ASF redirections masquerading as WMA files
* Wed Oct 20 2010 vuntz@opensuse.org
- Update to version 2.32.1:
  + Make introspection work for TotemCd and TotemDisc namespaces
  + Ignore leading tabs and spaces before EXTINF comments in M3U
    files
  + Fix out-of-order signals when using async API
  + Fix parsing of iTunes Podcast links
  + Don't force add directories to the playlist when the recurse
    level is too high
* Tue Sep 28 2010 vuntz@opensuse.org
- Update to version 2.32.0:
  + Updated translations.
* Sat Sep 18 2010 vuntz@opensuse.org
- Move gir files to devel subpackage.
* Thu Sep 16 2010 vuntz@opensuse.org
- Update to version 2.31.92:
  + Fix introspection build with gobject-introspection 0.9.5,
    breaking the GIR API
* Mon Sep 13 2010 vuntz@opensuse.org
- Update to version 2.30.3:
  + Fix parsing of M3U files with ":" in their titles
  + Fix parsing of files hiding as MP4 files (eg. an FLV with an
    MP4 extension)
* Fri Aug  6 2010 vuntz@opensuse.org
- Update to version 2.30.2:
  + Fix parsing PLS playlists with "holes" in the numbering
  + Fix crash in totem_pl_parser_parse_with_base when parsing PHP
    files that really are PHP files
  + Add Genre extension to XSPF playlists
  + Fix itms links parsing
  + Add support for Last.fm's new XSPF extensions
- Drop totem-pl-parser-gir11.patch: fixed upstream.
- Add libsoup-devel BuildRequires.
* Sun Jul 18 2010 dimstar@opensuse.org
- Add totem-pl-parser-gir11.patch to support gir 1.1.
* Wed May 12 2010 dimstar@opensuse.org
- Update to version 2.30.1:
  + Fix parsing of a number of Podcasts, including possible
    crashers
  + Fix parsing of playlists on HTTP servers when they don't match
    the suffix used (eg. PHP page giving an XSPF playlist)
  + A few win32 compilation fixes
  + Use GIO for decompressing Podcasts.
* Mon Mar 29 2010 vuntz@opensuse.org
- Update to version 2.30.0:
  + Updated translations.
* Mon Mar 15 2010 dimstar@opensuse.org
- Update to version 2.29.92:
  + Fix parsing of Guardian Podcasts
  + Fix parsing of pukas.wax playlist
  + Fix directory file descriptor leak
  + Fix versioning of the introspection support.
* Wed Jan 27 2010 vuntz@opensuse.org
- Update to version 2.29.1:
  + Add introspection support
  + Remove GTK+ dependency
  + Remove deprecated symbols
  + Add more metadata to XSPF playlist saving
  + Fix compilation on *BSDs
- Drop gtk2-devel BuildRequires.
- Add gobject-introspection-devel BuildRequires.
- Move API documentation to devel package.
* Thu Dec 17 2009 vuntz@opensuse.org
- Fix build on openSUSE <= 11.2.
* Fri Dec 11 2009 vuntz@opensuse.org
- Update to version 2.28.2:
  + Add support for subtitle properties in SMIL files
  + Make totem-pl-parser's XML parsing thread-safe
  + Fix detection of DVD ISOs from remote shares
  + Fix getting DVD title from remote shares
  + Fix some RSS feeds being detected as HTML
  + Fix parsing of multi-line RTSPtext files
  + Fix parsing of some RSS feeds with valid XML, but broken CDATA
    usage
* Wed Sep 30 2009 vuntz@opensuse.org
- Update to version 2.28.1:
  + Fix some files with magic getting ignored
  + Small bug fixes
* Mon Sep 28 2009 dimstar@opensuse.org
- Update to version 2.28.0:
  + Updated translations.
* Wed Sep 16 2009 lmedinas@opensuse.org
- Update to version 2.27.92:
  + Speed up PLS parsing
  + Fix error when trying to activate a data mount in Totem's Movie
    menu
  + Try harder to ignore text files
  + Fix test parser
* Mon Aug  3 2009 vuntz@novell.com
- Remove evolution-data-server-devel and add gmime-2_4-devel to
  Requires of devel package.
* Wed Jul 29 2009 vuntz@novell.com
- Drop gnome-vfs2-devel, gtk-doc, hal-devel, perl-XML-Parser
  BuildRequires.
- Add gtk2-devel BuildRequires.
* Mon Jul 27 2009 lmedinas@gmail.com
- Update to version 2.27.2:
  + Add asynchronous parsing API
  + Use GMime instead of evolution-data-server's libcamel for dates
    parsing
  + Fix detection of DVD ISOs
- Replace evolution-data-server-devel dependency by gmime-2_4-devel
* Thu May  7 2009 vuntz@novell.com
- Update to version 2.27.1:
  + Handle all types of newline combinations (Unix/DOS)
  + Fix compilation in MacOS X
  + Convert tests to GTest API
* Tue May  5 2009 vuntz@novell.com
- Update to version 2.26.2:
  + Fix relative paths resolution for a number of playlist types
  + Implement support for non-unicode encodings in the XML parser
  + Fix parsing of iTunes podcasts for recent Apple changes
  + Fix incorrect parsing of non-metalink QuickTime files
* Sat Apr  4 2009 vuntz@novell.com
- Update to version 2.26.1:
  + Fix playback of radio streams when the URL has a trailing slash
  + Fix detection of ISOs as VCDs or DVDs
  + Fix parsing of some podcasts with huge amounts of CDATA in the
    XML
- Pass --disable-static to configure, and only remove la files
  manually.
* Mon Mar 16 2009 vuntz@novell.com
- Update to version 2.26.0:
  + Updated translations.
* Sun Mar  8 2009 vuntz@novell.com
- Review changes.
* Wed Mar  4 2009 lmedinas@gmail.com
- Update to version 2.25.92:
  + Updated translations
- Changes from version 2.25.91:
  + Update API documentation
  + Fix PLA writing to make filenames appear correctly on the
    device
  + Fix possible crasher in the itms feed parser
  + Fix crasher when parsing a PLS file with invalid UTF-8
* Mon Feb 16 2009 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Thu Feb  5 2009 lmedinas@gmail.com
- Update to version 2.25.90:
  + Add support for the WPL playlist type
  + Fix the Python bindings not working
  + Fix a few memory leaks in XSPF parsing
  + Fix parsing of ISO-8859-1 M3U files
  + Ignore rtmp:// URIs
* Sat Dec 20 2008 mboman@suse.de
- Update to version 2.25.1:
  + Port disc detection code to GIO, remove HAL dependency
  + Add a way to disable the libcamel dependency for very
    specific system integration cases
  + Use error codes properly and document them
* Tue Dec 16 2008 coolo@suse.de
- fix typo in last change
* Fri Dec 12 2008 coolo@suse.de
- require the lang subpackage
* Tue Oct 14 2008 mboman@suse.de
- Update to version 2.24.1:
  + Fix DVB channels parsing in Totem
  + Fix parsing of DOS M3U files that don't finish with a line feed
  + Always write '#EXTM3U" at the start of M3U playlists
* Tue Sep 23 2008 mboman@suse.de
- Update to version 2.24.0:
  + Translation updates
* Sat Aug 30 2008 mboman@novell.com
- Update to version 2.23.91:
  + Add support for parsing Zune and ZENCast URLs
  + Fix parsing broken podcasts with HTML comments in them
  + Better detection of Podcasts
  + Fix parsing of QuickTime metalinks masquerading as MPEG-4 files
  + Fix a few memleaks from GIO porting
  + Fixes for the Python bindings
  + Use a nice title for the developer documentation
* Wed Aug  6 2008 captain.magnus@opensuse.org
- Update to version 2.23.3:
  + Fix a possible crasher when detecting the media type of an optical
    media, and an error occurs (such the device not being an audio CD)
  + Fix compilation with some setups
* Mon Jun 23 2008 maw@suse.de
- Update to version 2.23.2:
  + Port to gio/gvfs
  + Fix handling of XML-ish files with linefeeds after the document
    head
  + Add support for parsing remote DVDs (ISOs and directories)
  + Check mime-type by hand when we get application/octect-stream
    as a mime-type
  + Remove trailing linefeeds from titles
  + Ignore pnm:// URLs that are passed to us
  + Fix block device detection code
  + Fix bad detection of itms feeds
  + Work-around problems with filenames when passed .php or .asp
    files by the web browser.
* Fri Apr 11 2008 vuntz@suse.de
- Update to version 2.22.2:
  + Add support for feed:// URLs as used by Firefox 3
  + Work-around for feeds with a linefeed straight after "<rss"
* Thu Mar 13 2008 vuntz@suse.de
- Update to version 2.22.1:
  + Updated translations.
- Changes from version 2.22.0:
  + Sort filenames like nautilus does when adding directories
* Wed Mar  5 2008 maw@suse.de
- Update to version 2.21.92:
  + Add support for more metadata when parsing XSPF files, as used on last.fm
  + Better detection of files that aren't recognised as Podcast feeds
  + Detect some additional ASX files
  + Fix parsing of RTSPtext playlist from http://mediathek.zdf.de/
  + Fix parsing of VLC-specific playlists from Freebox
- Remove totem-pl-parser.diff.
* Thu Feb 28 2008 jpr@suse.de
- Add evolution-data-server-devel to -devel requires for camel
* Fri Feb 22 2008 coolo@suse.de
- fix build
* Wed Feb 20 2008 maw@suse.de
- Initial version: 2.21.91.
